opam-version: "2.0"
maintainer: "contact@tezos.com"
authors: ["Tezos devteam"]
homepage: "https://gitlab.com/nomadic-labs/tezt/"
bug-reports: "https://gitlab.com/nomadic-labs/tezt/issues"
dev-repo: "git+https://gitlab.com/nomadic-labs/tezt.git"
license: "MIT"
depends: [
  "dune" { >= "3.0" }
  "ocaml" { >= "4.12" }
  "re" { >= "1.7.2" }
  "lwt" { >= "5.6.0" }
  "base-unix"
  "ezjsonm" { >= "1.1.0" }
  "clap" { >= "0.3.0" }
  "conf-npm" { with-test }
  "js_of_ocaml" { with-test }
  "js_of_ocaml-lwt" { with-test }
  "ocamlformat" { with-test & = "0.25.1" }
]
depopts: [
  "js_of_ocaml"
  "js_of_ocaml-lwt"
]
conflicts: [
  "js_of_ocaml" { < "4.0.0" }
  "js_of_ocaml-lwt" { < "4.0.0" }
]
build: [
  ["dune" "build" "-p" name "-j" jobs]
  ["dune" "runtest" "-p" name "-j" jobs] {with-test}
]
synopsis: "Test framework for unit tests, integration tests, and regression tests"
